Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.binding
Interface ServicesStore

All Known Implementing Classes:
  XMLServicesStore

public interface ServicesStore

Interface for API to persist, read, and look up service configs

Version:
  $Revision: 1.3 $
Author:
  Mike Finn., Scott.Stark@jboss.org

Method Summary
`void` | `addService(String serverName, javax.management.ObjectName serviceName, ServiceConfig serviceConfig)` Add a ServiceConfig to the store.
`ServiceConfig` | `getService(String serverName, javax.management.ObjectName serviceName)` Obtain a ServiceConfig object for the given server instance and target service JMX ObjectName.
`void` | `load(URL storeURL)` Load the contents of a store.
`void` | `removeService(String serverName, javax.management.ObjectName serviceName)` Remove a service configuration from the store.
`void` | `store(URL storeURL)` Save the current store contents

Method Detail

### load

    public void load(URL storeURL)
              throws Exception

  Load the contents of a store.

  Parameters:
    `storeURL` - the URL representing the location of the store
  Throws:
    `Exception` - thrown on any failure to load the store

### store

    public void store(URL storeURL)
               throws Exception

  Save the current store contents

  Parameters:
    `storeURL` - the URL representing the location of the store
  Throws:
    `Exception` - thrown on any failure to save the store

### getService

    public ServiceConfig getService(String serverName,
                                    javax.management.ObjectName serviceName)

  Obtain a ServiceConfig object for the given server instance and target service JMX ObjectName. This is called by the JBoss service configuration layer to obtain service attribute binding overrides.

  Parameters:
    `serverName` - the name identifying the JBoss server instance in which the service is running.
    `serviceName` - the JMX ObjectName of the service
  Returns:
    The ServiceConfig if one exists for the pair, null otherwise.

### addService

    public void addService(String serverName,
                           javax.management.ObjectName serviceName,
                           ServiceConfig serviceConfig)
                    throws DuplicateServiceException

  Add a ServiceConfig to the store. This is an optional method not used by the JBoss service configuration layer.

  Parameters:
    `serverName` - the name identifying the JBoss server instance in which the service is running.
    `serviceName` - the JMX ObjectName of the service
    `serviceConfig` - the configuration to add
  Throws:
    `DuplicateServiceException` - thrown if a configuration for the pair already exists.

### removeService

    public void removeService(String serverName,
                              javax.management.ObjectName serviceName)

  Remove a service configuration from the store. This is an optonal method not used by the JBoss service configuration layer.

  Parameters:
    `serverName` - the name identifying the JBoss server instance in which the service is running.
    `serviceName` - the JMX ObjectName of the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.